#include "LedControl.h"
#include <TM1637Display.h>
#include <Wire.h>
#include <ds3231.h>
LedControl ecran=LedControl(10,12,11,1);
TM1637Display display = TM1637Display(3,2); 
struct ts temps;

void setup() {
  Wire.begin();
  DS3231_init(DS3231_INTCN);  
  display.setBrightness(1);  
  display.clear();
  ecran.shutdown(0,false);
  ecran.setIntensity(0,1);
  ecran.clearDisplay(0);
}
void loop(){
  DS3231_get(&temps);
  int heure = temps.hour*100+temps.min;
  display.showNumberDecEx(heure, 0b01000000, true);
  delay(500);
  display.showNumberDec(heure, true);
  delay(500);
  int annee = temps.year;
  int mois = temps.mon;
  int jour = temps.mday;
    ecran.clearDisplay(0); 
    for(int chiffre=0; chiffre<4; chiffre++)
    {
        ecran.setDigit(0, chiffre, annee%10, false);
        annee = annee / 10; }
    ecran.setDigit(0, 4, mois%10, true);
    ecran.setDigit(0,5,mois/10, false);
    ecran.setDigit(0, 6, jour%10, true);
    ecran.setDigit(0,7,jour/10, false);
}

